com.pivotal.gemfirexd.internal.client.am

## Class CrossConverters

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.CrossConverters

All Implemented Interfaces:
  com.pivotal.gemfirexd.internal.shared.common.Converter

    public final class CrossConverters
    extends Object
    implements com.pivotal.gemfirexd.internal.shared.common.Converter

### Field Summary

Fields
`static int` `UNKNOWN_LENGTH` Value used to signal unknown length of data.

### Method Summary

Methods
`static int` `getInputJdbcType(int jdbcType)` Convert the input targetJdbcType to the correct JdbcType used by CrossConverters.
`Object` `getJavaObjectOfType(int javaType, Object obj)`
`Object` `setObject(int targetType, Object source, String columnName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN_LENGTH

    public static final int UNKNOWN_LENGTH

Value used to signal unknown length of data.

See Also:
  Constant Field Values

### Method Detail

#### getInputJdbcType

    public static int getInputJdbcType(int jdbcType)

Convert the input targetJdbcType to the correct JdbcType used by CrossConverters.

#### setObject

    public final Object setObject(int targetType,
                   Object source,
                   String columnName)
                           throws SqlException

Throws:
  `SqlException`

#### getJavaObjectOfType

    public Object getJavaObjectOfType(int javaType,
                             Object obj)

Specified by:
  `getJavaObjectOfType` in interface `com.pivotal.gemfirexd.internal.shared.common.Converter`